
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>OpenStack的2016思考 / iVAN</title>

    <meta name="description" content="OpenStack的2016思考 题记:我们处在一个剧烈变化的时代,我们必须要急速地跟上这个时代.跟上时代的方法就是勇敢地驾驭着变化的浪潮,不要害怕变化. 今年openstack发布了两个重要版本,一个是4月8日的Mitaka,另一个是10月6日的Newton.不可否认,在目前的云计算市场中,开源云计算是一个非常重要的组成部分,特别是Newton版本的发布,将开源云计算提升到了一个新的高度. Openstack自从推出以来,逐渐得到广泛关注,如今不仅是互联网企业.传统企业包括中字头的国企都有实际使用的案例,而这些都要归功于其开源">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">OpenStack的2016思考</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>题记：我们处在一个剧烈变化的时代，我们必须要急速地跟上这个时代。跟上时代的方法就是勇敢地驾驭着变化的浪潮，不要害怕变化。</p>
<p>今年openstack发布了两个重要版本，一个是4月8日的Mitaka，另一个是10月6日的Newton。不可否认,在目前的云计算市场中,开源云计算是一个非常重要的组成部分,特别是Newton版本的发布,将开源云计算提升到了一个新的高度。</p>
<p>Openstack自从推出以来，逐渐得到广泛关注，如今不仅是互联网企业、传统企业包括中字头的国企都有实际使用的案例，而这些都要归功于其开源理念和其自身不断的完善和成长。回顾走过的2016，我们不妨冷静思考，对openstack来个简单盘点。</p>
<h1><b>在私有云和行业云这个广袤的企业级服务领域里，OpenStack从最先开始的星星之火逐渐行成燎原之势。</b></h1>
<p>2016年4月，在 OpenStack Mitaka 版本中，代表重要的核心项目社区贡献度的 TC-approved 中，中美两国的企业几乎占据了所有的前10名的位置，其中：美国公司占据8席，中国企业占据了两席，华为和创业公司EasyStack迈入核心项目贡献前十位之列。10月，在OpenStack  Newton版本中，共有23家中国企业上榜；而上一个版本Mitaka代码贡献的中国上榜企业是13家，同比增长高达77%。</p>
<p>从企业市场看，不仅在高要求的金融行业，还是传统行业都有采用OpenStack解决方案的实际案例，到今年底还有5家国字头企业（国家电网、中国电信、中国海油、中国银联、中国邮政储蓄银行）加入。以上典型案例只是OpenStack在中国传统行业企业级市场落地的冰山一角，还有顺丰速运、联想集团、清华大学、农信银行、长城宽带、携程网、国家超算广州中心、苏宁云商等企业加入OpenStack的用户阵营里面。无论是从技术层面、市场增长、客户认知方面， OpenStack在中国企业级市场的开源大势一派明朗，已从最先开始的星星之火逐渐行成燎原之势。</p>
<h1><b>大部分企业对于OpenStack有热情，但是采用率还较低</b></h1>
<p>为何OpenStack没有获得市场的大规模认可？还没有真正在企业生产业务上大面积开花呢？我们不妨辩证和客观的来看OPENSTACK的发展。</p>
<p>OpenStack作为一个开源项目自诞生以来注定要命运多舛。因其具备互联网模式的重要基因——“免费”，首先面临的是很多传统IT厂商的困惑和抵触，革命者与既得利益者的战争从来都是硝烟不断。而且企业的IT演进也是渐变式的，不是一蹴而就的，从管理理念到技术架构变革，我们都还需要一段路要走。</p>
<p>另外许多人将原因归结于OpenStack的复杂性。目前传统企业里使用VMWARE的仍然居多，一方面是因为VMWARE先入为主占得先机，另一方面确实简单易用。而OpenStack相对来说，组件众多架构庞大，非常难以部署和驾驭；OpenStack源于开源社区，而开源社区是技术驱动的。社区提供源代码，但这种代码一般侧重于解决核心问题，解决那些对开发者而言有成就感的问题。而对于非核心的边缘性的功能，比如优化、管理、监测、容灾备份等开源社区很少提供或者即使有功能上也很不理想。</p>
<p>除了部署复杂性，那么如何运维和运营也是另一个难题。市面上经验丰富的OpenStack技术人员还比较少，导致企业难以获得足够的技术支持。这些都是企业不愿意采用OpenStack的原因。毕竟传统企业的人才都是跟传统设备和商业产品打交道的多，如何快速掌握和使用开源云平台，那就需要培训和实践了，所以openstac还需要加强培训和认证服务。</p>
<h1><b>从技术驱动转向用户需求驱动</b></h1>
<p>Mitaka版里重要的提升就是统一的API、更具可管理性，以及通过Heat可横向扩展能力为大型部署提供更高的性能与稳定性。到了Newton版本，则提升了对容器的支持，是一个支持虚拟化，裸金属和容器部署形式的云平台，让运营者和开发者使用更方便，使OpenStack在强大的自动化功能下更容易设置、操作、改变和修正。</p>
<p>当软件功能越来越强大之后，原来必须在硬件层面的支持就可以转移到软件上来实施。在OpenStack能完成硬件的容错、协同之后，x86这种性价比更高的平台已经足以满足严苛的生产环境需要，技术驱动的结果就是企业用户越来越没有必要花那么多钱去搞那么多昂贵复杂的专业设备了。　</p>
<p>目前来看，OpenStack的核心技术已经比较成熟，但商业化方面距离满足企业用户需求还有差距。未来OpenStack要想取得更大的成功，还要在用户市场教育和行业用户解决方案上下大力气，只有让产品能更进一步贴近用户场景、理解用户的需求，不断推出能满足不同行业用户需求的接地气的解决方案而不只是一个技术产品，才能更好地适应市场化的竞争机制，同时促进OpenStack生态系统的繁荣。</p>
<h1><b>NFV的支持</b></h1>
<p>2016年，在任何OpenStack 活动中最大的惊喜和看点莫过于NFV(网络功能虚拟化)，它是一个正在不断发展的网络架构，边缘服务(如负载平衡，缓存，代理，防火墙，IDS/IPS)进行虚拟化的地方，而且取代传统网络设备，在x86服务器上充当软件服务运行。</p>
<p>为了支持流行的电信网络配置，VLAN-aware VM允许用户在OpenStack云上运行已有的VNFs，并可使用每个租户的VLAN传输流量。Nova增加了可变的配置设置，使运营者能够重新加载某些配置参数而无需重启节点。同时，Nova的get-me-a-network简化了网络配置，这些都是改变。</p>
<p>NFV的使用案例对电信公司意义重大，因为随着设备使用量的持续增长，它们要求协调按需网络服务的能力，而OpenStack和OPNFV工作组可能成为一个复杂度较小的路径，定义出新的标准。当然NFV的发展离真正成熟还存在一定距离，而OpenStack并不是NFV的全部。</p>
<h1><b>容器化的潮流</b></h1>
<p>从年初Docker公司闪电收购Unikernel Systems，提前扼杀各种“被颠覆”的苗头，蔓延到Kubernetes、Mesos、SwarmKit三家项目在年中掀起的“编排”之争，再到年末阿里云与Docker的牵手一举震撼国内创业市场。容器用一个又一个令人目不暇接的关键词带着背后的技术爆点填满了2016一整年的时间线。</p>
<p>当然不可否认，容器化OpenStack可以使openstack部署起来更方便，运行效率更高，简化升级和扩容。容器化OpenStack，大大加快了部署的时间，通常10分钟，就可以完成一次完整功能的部署，验证OpenStack各种新功能的代价，就大大减少；容器化后，用户感觉OpenStack各个组件，就类似累积木一样，搭建起来，可以根据自己的需求，自由选择相应的模块。遇到问题，寻求帮助，也显得简单很多。因为大家容器里的东西都是一样的，无非就是外面的配置文件。</p>
<p>但是在容器集群管理和企业级需求的支持上，Docker也还有很多地方不成熟，亟待完善。不过容器自身的优越特性，对于OpenStack开发者和运维者来说，吸引力都是巨大的。　　</p>
<h1><b>展望：OpenStack的未来</b></h1>
<p>明年2月Openstack将发布OCATA版本，容器化Openstack将成为一种潮流。未来OpenStack能否走向更大成功的关键，就是能否持续的扩大自己社区的影响力。在生态方面，OpenStack一方面需要与来自服务器、网络、存储以及软件等领域的开发者一同建立一个更为完善的生态，一方面需要深刻的将自身技术优势与企业和云服务商的实际需求相联系，进而促成一个相互促进、相互推动的良性关系。</p>
<p>不管怎样，我们相信Openstack是一条曲折但却正确的路，面对变化的浪潮，不要害怕，不要犹豫，冲上去驾驭它，就这样！</p>
<hr>
<p><b>作者： 孙杰    来源：云技术实践</b></p>
<p><a href="http://mp.weixin.qq.com/s?__biz=MzAxOTAzMDEwMA==&amp;mid=2652501645&amp;idx=1&amp;sn=25a521e0c9d2619d20d1afd1f2aa16a3&amp;chksm=80201fb6b75796a0c9c129b960c60fe1773e6786f48a3d7235b0fa525b8ae08c8b20c875c0e5" rel="external nofollow noreferrer"><b>原文链接</b></a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 09:07:36</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e5%b9%b3%e5%8f%b0/" title="云平台">云平台</a>, <a href="https://www.iamivan.net/tag/%e5%bc%80%e6%ba%90/" title="开源">开源</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/%e5%ae%b9%e5%99%a8/" title="容器">容器</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e8%ae%a1%e7%ae%97/" title="云计算">云计算</a>, <a href="https://www.iamivan.net/tag/%e4%bc%a0%e7%bb%9f%e4%bc%81%e4%b8%9a/" title="传统企业">传统企业</a>, <a href="https://www.iamivan.net/tag/openstack/" title="OpenStack">OpenStack</a>, <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7%e9%9c%80%e6%b1%82/" title="用户需求">用户需求</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>OpenStack的2016思考的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRN2WdM.html" rel="bookmark">深度解读 OpenStack Liberty 国内代码贡献</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				又到了 OpenStack 新版本发布的季节,虽然秋意寒寒,但是仍然挡不住 OpenStack 再次掀起全球关注的热点.这是 OpenStack 第12个版本,与之前的沉稳低调相比,这次的 Release 中一口气多了 5 个新模块,也创下了 OpenStack 项目创建以来的最高纪录.由于天然的架构优势,让 OpenStack 在云计算横行天下的年代游刃有余,已经逐步成为了云平台的即成标准,从 OpenStack 对待 AWS 的 API 兼容的态度就能看出,OpenStack 变得越来越自信			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdmw91z.html" rel="bookmark">企业上云如何 Hold 住 OpenStack？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				从诞生至今,OpenStack这个开源世界的今日之星,虽然发展速度令人咋舌,但同时也备受争议.企业如何跨过一个个技术缺陷,Hold住 OpenStack,使其在自身数字化转型中最大限度发挥正面作用?近日,红帽全球管理业务部总监Massimo Ferrari在接受记者采访时表示,不同发展阶段的企业要部署OpenStack,说到底还是要依据企业自身的业务需求.技术部署计划以及实现思路来决 定. Ferrari加入红帽之前,在安永公司负责其数字化转型业务,在过去的十二年间,Ferrari一直为全球财富			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvWvx1p.html" rel="bookmark">OpenStack成浪潮云产品核心 以&OpenCurlyDoubleQuote;FAST&rdquo;加速开源技术普惠</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				4月18日,浪潮对外公布了2017云计算产品策略,强调以OpenStack为核心,持续打造差异化竞争优势,强化IaaS全云能力.在这一框架下,浪潮未来的OpenStack产品设计将遵循&quot;FAST&quot;理念,致力于向用户交付成熟.易用的OpenStack云基础设施,推动开源技术普惠. 以OpenStack为核心,推进&quot;线上+线下&quot;交付并行 451 Research最新的OpenStack Pulse 2016报告显示,OpenStack产品收入正在以每年35%的高速增长,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQayNob.html" rel="bookmark">企业上云如何Hold住OpenStack？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				从诞生至今,OpenStack这个开源世界的今日之星,虽然发展速度令人咋舌,但同时也备受争议.企业如何跨过一个个技术缺陷,Hold住OpenStack,使其在自身数字化转型中最大限度发挥正面作用?近日,红帽全球管理业务部总监Massimo Ferrari在接受记者采访时表示,不同发展阶段的企业要部署OpenStack,说到底还是要依据企业自身的业务需求.技术部署计划以及实现思路来决定. Ferrari加入红帽之前,在安永公司负责其数字化转型业务,在过去的十二年间,Ferrari一直为全球财富10			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJrKJVz.html" rel="bookmark">私有云的狂欢，2020年OpenStack市场规模将达50亿美元</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				451研究所近日大幅调高了OpenStack的预期市场规模,并预测OpenStack的收入将主要来自私有云的部署. 根据451研究所最新的OpenStack Pulse 2016报告(获取报告摘要版请关注IT经理网微信号:ctociocom,后台回复:OpenStack Pulse 2016+邮箱地址),开源私有云项目OpenStack产品收入正在以每年35%的高速增长,2017年OpenStack的试产规模将增长至25亿美元,2020年市场规模将突破50亿美元. OpenStack目前的收入主			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjmVLmz.html" rel="bookmark">云架构和openstack的思考</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者:罗立树 最近在负责公司内部私有云的建设,一直在思考怎么搞云计算,怎么才能够把云架构设计得好一些. 本文章主要内容: 1. 行业生态 2. 从需求角度看云 3. 云计算概述 4. 云建设的关键问题 5. 私有云架构规划 一.行业生态 计算机云经过多年的发展,由一开始的概念,慢慢发展成熟并能够推向市场,提供多种多样的服务,市场空间非常之大. 在云的发展过程中,亚马逊经过多年的深耕积累,发展成为了云行业的标杆企业,甚至是建立了云解决方案的标准. 只要是存在商业价值以及商业利益的存在,就会有更多的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQVvVz.html" rel="bookmark">2016年人工智能领域的总结与思考：未来将面临的五大考验</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这两天,有朋友感慨道:&quot;2016年对人工智能来说是意义非凡的一年,或许在技术领域的感知并不明显,在商业层面的「成功」却是前所未有的.&quot;是呀,从年初AlphaGo和李世石的围棋大战,再到一场场和人工智能有关的发布会.不管怎样,人工智能终于跳出了实验室的禁锢,成为活跃在科技领域的核心力量. 一.人工智能时代正在到来 每当一个事物兴起的时候,随之而来的就是大量的观点与推测,其中最受欢迎的往往是那些最大胆的:而后每增加一个论据,都会让我们对这个观点更加深信无疑.就像从Alpha Go战胜李世石			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm6DK7z.html" rel="bookmark">2016美国QCon思考：通过Quora和Spotify案例，直击数据处理背后的魅影</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编者按:大数据的题目看起来好写,因为大家似乎都懂,但是其实也难写,因为太大了,没有具体的问题很难写出有营养的东西,所以今天选取两个QCon比较典型的例子来管中一窥大数据的魅影.     有的同学很困惑米国人不看知乎怎么知道那么多知识呢?米国人当然看Quora啦,Quora是一个问答社交软件,问答社交的特点就是有各种各样的计数器,比如帖子的支持.反对.评论数量,用户的关注.粉丝数量等等,随着用户量的增加.帖子的增多.以及带来的互动的增长,Quora处理的数据也是爆炸式增长.Quora从第一天开始就			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1kjV9z.html" rel="bookmark">EasyStack获评2016年度制造行业OpenStack最佳实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				近日,由工业和信息化部信息化和软件服务业司指导,中国信息通信研究院和中国通信标准化协会共同主办,云计算开源产业联盟承办的&quot;云计算开源产业联盟第一次成果发布会&quot;在京召开. 工信部信息化和软件服务业司巡视员李颖.中国信息通信研究院党委书记李勇出席会议并致辞,云计算开源产业联盟常务副理事长 何宝宏主持会议.会议发布了中国首个云计算开源产业发展白皮书,以及政府.广电.电力.电信.教育.金融.医疗.制造八大行业基于OpenStack技术 的最佳实践.   EasyStack合作伙伴副总监 罗云飞			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgP8Ap.html" rel="bookmark" class="title">如何将十六进制字符串存为二进制数组以节约存储空间</a>
					<div>
						如果有这么一种场景,需要将客户端机器上所有文件的MD5值,都放到服务端的数据库中,服务端会定期的对客户端的文件进行检查,看是否有非法文件(注:这里用MD5做非法文件的检查,并不是说每个文件的MD5是唯 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6QeOb.html" rel="bookmark" class="title">前端性能优化&colon;Javascript的加载顺序</a>
					<div>
						文章简介:35条Javascript最佳实践. 相信很多与页面打过交道的同学都对 Yahoo 的 Best Practices for Speeding Up Your Web Site 不陌生.而这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7qwZM.html" rel="bookmark" class="title">session在PHP大型web应用中的使用</a>
					<div>
						这时,函数bool session_set_save_handler ( callback open, callback close, callback read, callback write, c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze1WVz.html" rel="bookmark" class="title">如何保持Oracle数据库的优良性能</a>
					<div>
						oracle|数据|数据库|性能 作者:Brent Oracle数据库以其高可靠性.安全性.可兼容性,得到越来越多的企业的青睐.如何使Oracle数据库保持优良性能,这是许多数据库管理员关心的问题,根 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvgoWp.html" rel="bookmark" class="title">装饰者模式&lpar;Decorator Pattern&rpar; Java的IO类的使用方法</a>
					<div>
						Java的IO类使用装饰者模式进行扩展, 其中FilterInputStream类, 就是装饰者(decorator)的基类. 实现其他装饰者(decorator), 需要继承FilterInputS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqKlGz.html" rel="bookmark" class="title">获取Extjs文本域中的内容</a>
					<div>
						经常在Ext.select()和Ext.query()等问题上纠结,今天终于有了点新认识: 需求,假设我们的页面上有个panel ,其id为clusterstab_edit_details,这个pan ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx0xkb.html" rel="bookmark" class="title">利用反射自己写的一个ModelHelper类</a>
					<div>
						开发中 很多人都会使用BLL Model这种开发,我也是,虽然现在有很多的自动生成工具,能在几秒内生成cs的模板,但我个人还不是很喜欢,我还是喜欢自己一个一个去写,这样更能了解自己的代码. 不过手动编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnRokz.html" rel="bookmark" class="title">Bash功能与使用技巧</a>
					<div>
						一个完整计算机的体系结构包括:硬件与软件,而软件又分为系统软件与应用软件,负责对硬件仅需管理与操作的是系统软件的内核部分,用户是无法与硬件或内核打交道的,用户通过应用程序或部分系统软件发出指令(可能是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLGnKb.html" rel="bookmark" class="title">Android开发：14个解决实际问题的代码片段</a>
					<div>
						  在Android编程开发中都会遇到哪些问题呢?在这里为初学者介绍了十四段简单实用的代码,保存下来需要时轻松一键获得.其中包括检查是否有SD卡,让某个Activity透明,在屏幕元素中设置句柄等等在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PJZJM.html" rel="bookmark" class="title">MySQLSchema设计（二）</a>
					<div>
						       茹志鹃在&lt;妯娌&gt;中说,&quot;再看红英自己,那是连半个钟头的工都不肯耽误的,也从没见她吃过一口零食,一看就知道是个会精打细算.会过日子的人.&quot;曾有人调侃,已婚身 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxGZAb.html" rel="bookmark" class="title">Office2010安装出错怎么办</a>
					<div>
						  Office2010安装出错怎么办?Office2010是一款很不错的办公软件,在安装的过程你有可能会遇上点麻烦,如果真的安装出错了,或许小编可以帮到你,看看下边的文章吧! 解决办法一 1.打开开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7oqAM.html" rel="bookmark" class="title">阿里云邮箱怎么发送超大附件</a>
					<div>
						  编写邮件时如需添加超大附件,请点击页面上&quot;添加超大附件&quot;按钮. 超大附件有本地上传和从网盘选择两种方式,找到所需添加的附件后,点击&quot;确定&quot;,即可添加到邮件中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6emENb.html" rel="bookmark" class="title">解决参数错误时注释删除不干净遗留问题</a>
					<div>
						  在解决MindManager出现参数不正确问题时,用户能够运用的方法之一就是对模板中的注释进行删除,但因为某些原因,部分用户未删除干净,那么就出现了遗留问题.本文就是主要讲解了如何解决参数错误时注 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6RKVb.html" rel="bookmark" class="title">php-WCF操作Oracle数据库问题</a>
					<div>
						问题描述 WCF操作Oracle数据库问题 20C 用PHP写了一个调用WCF的程序,WCF可以正常发布,访问老是报错,试了很多种办法都还没有解决..WCF发布后可以正常访问,如下图:然后写了一个PH ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPWmZp.html" rel="bookmark" class="title">实物曝光 下一代云OS终端锁定大屏幕手机和Pad</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; 外界风传已久的搭载阿里云OS的升级款产品终于曝光.在于10 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOl2Zmb.html" rel="bookmark" class="title">ig ee-ZigBee流水灯怎么实现</a>
					<div>
						问题描述 ZigBee流水灯怎么实现 /**************************************************************************** 文 件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQXnRp.html" rel="bookmark" class="title">Java网络编程（一）</a>
					<div>
						关于JAVA网络编程的技术非常繁多,如:SOCKET.RMI.EJB.WEBSERVICE.MQ.中间数据等等方法,但是万变都是源于基础中通信原理,有些是轻量级的.有重量级的:有实时调用.有异步调用: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Ng8qz.html" rel="bookmark" class="title">Linux C&plus;&plus;开发环境搭建</a>
					<div>
						1 编译器 在ubuntu下安装codeblocks(sudo apt-get install codeblocks)之后会自动检测到已经安装GCC编译器,但是写好一个简单程序后运行则提示g++ :  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmQwRz.html" rel="bookmark" class="title">客户端-libssh2&lowbar;userauth&lowbar;publickey&lowbar;fromfile 执行失败</a>
					<div>
						问题描述 libssh2_userauth_publickey_fromfile 执行失败 请教哪位大神,我在使用libssh2编写sftp客户端时执行到libssh_2_userauth_publi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7Z3xp.html" rel="bookmark" class="title">android getContentResolver&lpar;&rpar;&period;insert&lpar;&rpar;返回值问题</a>
					<div>
						问题描述 android getContentResolver().insert()返回值问题 insert无返回值 newUri 为null 请问可能的原因有哪些? 解决方案 Android 设置铃 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1X24z.html" rel="bookmark" class="title">Photoshop制作圆形金属边框按钮</a>
					<div>
						本教程的按钮构成部分不多,总共为两大部分,金属外框和蓝色玻璃部分.制作的时候只要画好相应的图层,加上图层样式效果就出来了.制作过程比较简单. 最终效果 1.将背景色填充为黑色.前景色设为 #0090f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydPQvb.html" rel="bookmark" class="title">231-用VS08来使用C语言发生的错误，请各位高手帮忙</a>
					<div>
						问题描述 用VS08来使用C语言发生的错误,请各位高手帮忙 #include #define N 3 struct stu { int num; char name[20]; int score[4] ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AlaPz.html" rel="bookmark" class="title">在线教育：被动等传统教育开放内容是软肋</a>
					<div>
						中介交易 SEO诊断淘宝客 站长团购 云主机 技术大厅 诚如李彦宏所说,互联网正在改变传统行业,打车软件已经头破血流,健康医疗与传统医疗行业互不侵犯,而在线教育已经发展了十余年,对传统教育的改变却收效 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydQDZb.html" rel="bookmark" class="title">测试-微信公众平台开发多媒体接口下载视频文件如何使用？</a>
					<div>
						问题描述 微信公众平台开发多媒体接口下载视频文件如何使用? 在测试接口上调用该方法返回错误信息 解决方案 http://www.cnblogs.com/txw1958/p/weixin80-uploa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rKYmz.html" rel="bookmark" class="title">传芝加哥市将大量部署路灯传感器阵列</a>
					<div>
						摘要: 传芝加哥市将大量部署路灯传感器阵列 据报道,芝加哥市将在今年夏天实验性部署约50个路灯传感器,用于采集公共部门所需的多种数据. 这些传感器的数据采集范围,包括空气质量. 传芝加哥市将大量部署& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xZkqb.html" rel="bookmark" class="title">hibernate 搭建log4j日志环境，控制台为什么没有出现ddl语句？</a>
					<div>
						问题描述 hibernate 搭建log4j日志环境,控制台为什么没有出现ddl语句? 日志的输出中只有info的信息,没有dubug的信息,没有出现执行的sql语句? 相关代码见博文:http:// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyevnZM.html" rel="bookmark" class="title">Go语言使用组合的方式实现多继承的方法&lowbar;Golang</a>
					<div>
						本文实例讲述了Go语言使用组合的方式实现多继承的方法.分享给大家供大家参考.具体实现方法如下: 在大多数面向对象的编程语言中多继承都是不支持的.因为在基于class的体系中,多继承极大地增加了编译器的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR6Rjp.html" rel="bookmark" class="title">站在源码的肩膀上全解Scroller工作机制</a>
					<div>
						探索Android软键盘的疑难杂症 深入探讨Android异步精髓Handler 详解Android主流框架不可或缺的基石 站在源码的肩膀上全解Scroller工作机制 Android多分辨率适配框架 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xDaVb.html" rel="bookmark" class="title">ethernetip-EtherNetIPExampleCode在哪里实现数据收发</a>
					<div>
						问题描述 EtherNetIPExampleCode在哪里实现数据收发 EtherNetIPExampleApplication和EtherNetIPExampleCode发送的数据在gInputBu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NkJ9b.html" rel="bookmark" class="title">《R语言数据挖掘》&mdash;&mdash;2&period;5 R语言实现</a>
					<div>
						本节书摘来自华章出版社&lt;R语言数据挖掘&gt;一书中的第2章,第2.5节,作者［哈萨克斯坦］贝特·麦克哈贝尔(Bater Makhabel),李洪成 许金炜 段力辉 译,更多章节内容可以访问&q ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
